Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235544 - smoltGui "Show Privacy Policy" is broken
Summary: smoltGui "Show Privacy Policy" is broken
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: smolt
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
: 235543 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-06 21:54 UTC by John Ellson
Modified: 2008-05-07 01:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:26:55 UTC


Attachments (Terms of Use)

Description John Ellson 2007-04-06 21:54:34 UTC
Description of problem:
File reference to "..doc/PrivacyPolicy" needs to be full path.

Version-Release number of selected component (if applicable):
smolt-0.9.4-1.fc7.noarch

How reproducible:
100%

Steps to Reproduce:
1.run smoltGui
2.click on "Show Privacy Policy" button
3.
  
Actual results:
On console I get:

Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 211, in privacy_cb
    privacy_text = file('../doc/PrivacyPolicy', 'r').read().strip()
IOError: [Errno 2] No such file or directory: '../doc/PrivacyPolicy'


Expected results:


Additional info:

Comment 1 John Ellson 2007-04-06 21:56:58 UTC
*** Bug 235543 has been marked as a duplicate of this bug. ***

Comment 2 Matthew Gillen 2007-04-13 15:33:10 UTC
The current version for FC6 (smolt-0.9.6-2.fc6) has the same issue:
IOError: [Errno 2] No such file or directory: '/usr/share/smolt/doc/PrivacyPolicy'

Looks like it's looking in the wrong place, rpm -ql tells me this file exists:
/usr/share/doc/smolt-0.9.6/PrivacyPolicy



Comment 3 Mike McGrath 2007-04-13 15:44:53 UTC
Check to see if you have selinux enabled.  If it is, disable it and try again.

Comment 4 John Ellson 2007-04-13 16:47:14 UTC
selinux is in permissive mode


Comment 5 Bug Zapper 2008-04-03 23:59:42 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 01:26:53 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.